namespace TimelapseApi;

public class TimelapseSettingsModel
{
    public TimelapseSettingsModel()
    {
        canOverlayVideo=true;
        deniedOverlayExtensions=new List<Guid>();
        deniedBlockExtensions=new List<Guid>();
        enableWebServer=false;
        timelapsePort=49290;
        canBlockFrames=true;
        addExtensionOnInstall=true;
        blankCameraHeight=720;
        blankCameraWidth=1280;

    }
    public int blankCameraWidth {get;set;}
    public int blankCameraHeight {get;set;}
    public bool useCustomFilePickerForNativeFS {get;set;}
    public bool addExtensionOnInstall {get;set;}
    public bool canOverlayVideo {get;set;}
    public bool canBlockFrames {get;set;}
    public List<Guid> deniedOverlayExtensions {get;set;}
    public List<Guid> deniedBlockExtensions {get;set;}
    public bool enableWebServer {get;set;}
    public ushort timelapsePort {get;set;}
}